Skip to main content
GET
/
api
/
reports
/
dashboard
Get dashboard snapshot reports
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/reports/dashboard \
  --header 'X-API-Key: <api-key>'
{
  "campaign": {
    "delivered": {
      "count": 2203,
      "diff": 11.3
    },
    "sent": {
      "count": 2379,
      "diff": 0.76
    },
    "uniqueClicks": {
      "count": {
        "diff": -21.52,
        "value": 569
      },
      "rate": {
        "diff": 20.47,
        "value": 25.83
      }
    },
    "uniqueOpens": {
      "count": {
        "diff": -23.41,
        "value": 733
      },
      "rate": {
        "diff": -22.41,
        "value": 33.27
      }
    }
  },
  "contact": {
    "count": {
      "diff": 29.55,
      "value": 5900
    },
    "histogram": {
      "end": "2024-10-29T00:00:00.000Z",
      "histogram": [
        {
          "date": "2024-09-23T17:00:00.000Z",
          "total": 4
        }
      ],
      "peak": {
        "date": "2024-09-23T17:00:00.000Z",
        "total": 4
      },
      "start": "2024-09-29T00:00:00.000Z"
    }
  }
}

Authorizations

X-API-Key
string
header
required

API key authentication

Query Parameters

pastDays
integer
required

The number of past days (between 1 and 90) to retrieve report stats and precedent stats.

Required range: 1 <= x <= 90
timezone
string
default:UTC

The user timezone (IANA) code.

Example:

"America/La_Paz"

Response

200 - application/json

Successfully report retrieved

campaign
object

campaign reports

contact
object